#ifndef BACKLIGHT_H
#  define BACKLIGHT_H

/* vim: cin ts=8 sw=8 syn=pod
 *
 * Copyright (c) 2013 Garry T. Williams */
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*

=pod

=head1 NAME

backlight - set backlight device value to zero

=head1 SYNOPSIS

B<backlight>

=head1 DESCRIPTION

The Dell XPS-13 backlight power management doesn't work on Fedora 18.  A
work-around is to run this command:

    # echo 0 >/sys/class/backlight/intel_backlight/brightness

Unfortunately this only fixes the problem for a little while and the
system reverts to ignoring and backlight value changes again.

This daemon is designed to be loaded at boot time to watch the backlight
driver value and then write a "0" to the intel_backlight/brightness
device again.  This results in the desired behavior.

=head1 EXIT STATUS

This program will exit with a status of 1, if an error is encountered.

=head1 SEE ALSO

Fedora bug https://bugzilla.redhat.com/show_bug.cgi?id=928688 will
hopefully result in a real fix for this problem.

=head1 COPYRIGHT

Copyright (c) 2013 Garry T. Williams

=head1 AUTHOR

Garry T. Williams E<lt>gtwilliams@gmail.comE<gt>

=cut

 */

#endif
